## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsConnectionKey Struct Reference

Document me!@@. More...

`#include <iaws/aws.h>`

Inheritance diagram for iAwsConnectionKey:

[legend]
List of all members.

## Public Member Functions

virtual unsigned long | Signal () const =0
| Gets the signal for this key.
virtual iAwsSink * | Sink () const =0
| Gets the sink for this key.
virtual unsigned long | Trigger () const =0
| Gets the trigger for this key.

## Detailed Description

Document me!@@.

Definition at line 206 of file aws.h.

## Member Function Documentation

virtual unsigned long iAwsConnectionKey::Signal | ( |  | ) | const`[pure virtual]`

| Gets the signal for this key.

virtual iAwsSink* iAwsConnectionKey::Sink | ( |  | ) | const`[pure virtual]`

| Gets the sink for this key.

virtual unsigned long iAwsConnectionKey::Trigger | ( |  | ) | const`[pure virtual]`

| Gets the trigger for this key.

The documentation for this struct was generated from the following file:

- iaws/aws.h